<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.PasswordField?>
<?import javafx.scene.effect.InnerShadow?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<VBox fx:id="panelCambiarPassword" alignment="CENTER" maxHeight="1.7976931348623157E308" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefWidth="210.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="presentacion.controlador.ControladorVentanaCambiarPassword">
   <children>
      <Label fx:id="lblPortada" alignment="CENTER" contentDisplay="CENTER" maxHeight="-Infinity" maxWidth="1.7976931348623157E308" minHeight="-Infinity" minWidth="-Infinity">
         <VBox.margin>
            <Insets top="10.0" />
         </VBox.margin>
      </Label>
      <HBox fx:id="hboxNotification" alignment="CENTER" maxHeight="-Infinity" maxWidth="-Infinity" style="-fx-border-radius: 5; -fx-background-color: whitesmoke; -fx-background-radius: 8; -fx-border-color: transparent;">
         <children>
            <Label fx:id="lblNoticationImage" alignment="CENTER" contentDisplay="CENTER" prefHeight="20.0" prefWidth="20.0" />
            <Label fx:id="lblNoticationMessage" alignment="CENTER" text="Notification Message">
               <padding>
                  <Insets left="10.0" />
               </padding>
               <font>
                  <Font size="10.0" />
               </font>
            </Label>
         </children>
         <padding>
            <Insets bottom="3.0" left="5.0" right="5.0" top="3.0" />
         </padding>
         <VBox.margin>
            <Insets bottom="10.0" top="10.0" />
         </VBox.margin>
      </HBox>
      <PasswordField fx:id="newPass" alignment="CENTER" onKeyReleased="#cambiarContrasenia" prefHeight="25.0" promptText="Nueva contraseña">
         <effect>
            <InnerShadow color="#0096c9" />
         </effect>
         <VBox.margin>
            <Insets bottom="10.0" />
         </VBox.margin>
      </PasswordField>
      <PasswordField fx:id="repeatPass" alignment="CENTER" onKeyReleased="#cambiarContrasenia" prefHeight="25.0" promptText="Repita contraseña">
         <effect>
            <InnerShadow color="#0096c9" />
         </effect>
      </PasswordField>
   </children>
   <padding>
      <Insets bottom="18.0" left="30.0" right="30.0" top="18.0" />
   </padding>
</VBox>
